Foreman - Bug #5750

Cannot set default_organization_id at user creation
05/15/2014 07:47 PM - dustin tsang

Status: Rejected

Priority: Normal

Assignee: dustin tsang

Category: API

Target version:

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1092656 Red Hat JIRA:

Pull request:

Description
https://bugzilla.redhat.com/show_bug.cgi?id=1092656

Created attachment 890865 [details]
part of /var/log/foreman/production.log

Description of problem:
Creation of an user via API with default_organization_id set fails with 500 ISE.

Version-Release number of selected component (if applicable):
Satellite-6.0.3-RHEL-6-20140423.1-Satellite-x86_64-dvd1.iso

How reproducible:
always

Steps to Reproduce:

1. Run @api.resource(:users).call(:create, user_hash) with following user_hash:
user_hash = {

Jlogin => "newuser",

firstname => "user",

lasthame => "new",

‘mail => "root@localhost",
:auth_source _id => 1,
password => "password",
:organization_ids => [13],
:default_organization_id => 13,
:location_ids => [],

rrole_ids => [],

}

Actual results:

Creation of user failed with: 500 Internal Server Error: {

"error": {"message":"undefined method “key?' for #<JSON::Ext::Generator::State:0x007f696cecadd8>"}
}

but the user was created!

Expected results:
no exceptions or ISEs

Additional info:
- creating of the user without default_organization_id works and setting it using the user update API afterwards works as well

Related issues:

Has duplicate Katello - Bug #5666: Cannot set default_organization_id at user... Duplicate 05/12/2014

History
https://bugzilla.redhat.com/show_bug.cgi?id=1092656

#1 - 05/16/2014 03:11 PM - Dominic Cleal

- Project changed from Katello to Foreman

- Category set to API

- Status changed from New to Ready For Testing
- Assignee set to dustin tsang

- Target version set to 1.8.3

https://github.com/theforeman/foreman/pull/1450

#2 - 05/19/2014 12:39 PM - Anonymous

- Target version changed from 1.8.3 to 1.8.2

#3 - 05/20/2014 05:11 PM - Dominic Cleal

- Has duplicate Bug #5666: Cannot set default_organization_id at user creation added

#4 - 05/23/2014 03:59 PM - dustin tsang

The server is no longer giving a 500 internal error but a proper validation but proper validation is given.

Validation message and an example of a successful creation of a user can be seen in the link.
https://qist.github.com/dustint-rh/f3e0408e1cc937a8f4fb

#5 - 05/28/2014 08:54 AM - Dominic Cleal
- Status changed from Ready For Testing to Rejected
- Target version deleted (1.8.2)
